##### 7.5.11.0. CentralQuot

Procedure from library `ncdecomp.lib` (see ncdecomp_lib).

Usage:
  CentralQuot(M, G), M a module, G an ideal

Assume:
  G is an ideal in the center of the base ring

Return:
  module

Purpose:
  compute the central quotient M:G

Theory:
  for an ideal G of the center of an algebra and a submodule M of A^n,
  the central quotient of M by G is defined to be
  M:G := { v in A^n | z*v in M, for all z in G }.

Note:
  the output module is not necessarily given in a Groebner basis

Example:

    LIB "ncdecomp.lib";
    option(returnSB);
    def a = makeUsl2();
    setring a;
    ideal I = e3,f3,h3-4*h;
    I = std(I);
    poly C=4*e*f+h^2-2*h;  // C in Z(U(sl2)), the central element
    ideal G = (C-8)*(C-24);  // G normal factor in Z(U(sl2)) as an ideal in the center
    ideal R = CentralQuot(I,G);  // same as I:G
    R;
    ==> R[1]=h
    ==> R[2]=f
    ==> R[3]=e

See also: CenCharDec; CentralSaturation.

User manual for Singular version 4.4.1, 2025, generated by texi2html.